ISWPRINT(3)

NAME
iswprint - test for printing wide character

SYNOPSIS
#include <wctype.h>

int iswprint(wint_t wc);

DESCRIPTION
The iswprint() function is the wide-character equivalent of the isprint(3) function. It tests whether wc is a wide character belonging to the wide-character class "print".

The wide-character class "print" is disjoint from the wide-character class "cntrl".

The wide-character class "print" contains the wide-character class "graph".

RETURN VALUE
The iswprint() function returns nonzero if wc is a wide character belonging to the wide-character class "print". Otherwise it returns zero.

CONFORMING TO
C99.

NOTES
The behavior of iswprint() depends on the LC_CTYPE category of the current locale.

SEE ALSO
isprint(3), iswctype(3)

COLOPHON
This page is part of release 3.41 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.